## MateCanvasRE MateCanvasRE — Base class for rectangle and ellipse items |

## Synopsis

    #include <libmatecanvas/libmatecanvas.h>

    struct              MateCanvasRE;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----MateCanvasItem
                         +----MateCanvasShape
                               +----MateCanvasRE
                                     +----MateCanvasEllipse
                                     +----MateCanvasRect

## Properties

      "x1"                       gdouble               : Read / Write
      "x2"                       gdouble               : Read / Write
      "y1"                       gdouble               : Read / Write
      "y2"                       gdouble               : Read / Write

## Description

This forms a base class for rectangle and ellipse canvas items.

## Details

### struct MateCanvasRE

    struct MateCanvasRE;

This structure should not be accessed directly. Use the object's properties for querying or changing its parameters.

## Property Details

### The `"x1"` property

      "x1"                       gdouble               : Read / Write

Leftmost coordinate of rectangle or ellipse.

Default value: 0

### The `"x2"` property

      "x2"                       gdouble               : Read / Write

Rightmost coordinate of rectangle or ellipse.

Default value: 0

### The `"y1"` property

      "y1"                       gdouble               : Read / Write

Topmost coordinate of rectangle or ellipse.

Default value: 0

### The `"y2"` property

      "y2"                       gdouble               : Read / Write

Bottommost coordinate of rectangle or ellipse.

Default value: 0

## See Also

MateCanvasEllipse, MateCanvasRect